#version 450

uniform sampler2DArray tex;
uniform int layerIndex;

in vec2 vertex;

out vec4 fragColor;


void main()
{
	// NDC to texture coordinates
	vec2 texCoord = 0.5f * (vertex + vec2(1, 1));

	fragColor = texture(tex, vec3(texCoord, layerIndex));
}
