#version 450

in vec3 vertexPosition;
uniform mat4 modelViewProjection[2];
uniform int viewID;

vec4 colors[2] = {vec4(0, 1, 0, 1), vec4(1, 0, 1, 1)};

out vec4 color;


void main()
{
	color = colors[viewID];
	gl_Position = modelViewProjection[viewID] * vec4(vertexPosition, 1.0);
}


