#version 450
#extension GL_OVR_multiview2 : enable

layout(num_views = 2) in;

in vec3 vertexPosition;
uniform mat4 modelViewProjection[2];

vec4 colors[2] = {vec4(1, 1, 0, 1), vec4(0, 0, 1, 1)};

out vec4 color;


void main()
{
	color = colors[gl_ViewID_OVR];
	gl_Position = modelViewProjection[gl_ViewID_OVR] * vec4(vertexPosition, 1.0);
}


